<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [makeProduct](./bitburner.warehouseapi.makeproduct.md)

## WarehouseAPI.makeProduct() method

Create a new product

**Signature:**

```typescript
makeProduct(
    divisionName: string,
    city: CityName | `${CityName}`,
    productName: string,
    designInvest: number,
    marketingInvest: number,
  ): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  productName | string | Name of the product |
|  designInvest | number | Amount to invest for the design of the product. |
|  marketingInvest | number | Amount to invest for the marketing of the product. |

**Returns:**

void

